<template>
  <v-app-bar app clipped-left clipped-right color="primary" dark>
    <!---Logo part -->
    <v-toolbar-title class="align-center d-flex">
      <span class="logo-icon">
        <img src="" />
      </span>
      <span class="logo-text ml-2" :class="`${showLogo ? '' : 'hidelogo'}`">
        <img src="" class="mt-2" />
      </span>
    </v-toolbar-title>
    <!---Logo part -->
    <!---/Toggle sidebar part -->
    <div @click="showhideLogo">
      <v-app-bar-nav-icon
        @click="
          $vuetify.breakpoint.smAndDown
            ? setSidebarDrawer(!Sidebar_drawer)
            : $emit('input', !value)
        "
      />
    </div>
    <!---/Toggle sidebar part -->
    
    <v-spacer />
    <!---right part -->
 
   
    <!---User -->
    <v-menu
      bottom
      left
      offset-y
      origin="top right"
      transition="scale-transition"
    >
      <template v-slot:activator="{ on }">
        <div class="text-center">
          <v-btn rounded color="black" dark @click="logout()">Cerrar sesión</v-btn>
            </div>
        <v-btn dark icon v-on="on" class="mr-1">
          <v-avatar size="40">
            <img src="https://cdn.vuetifyjs.com/images/john.jpg" alt="John" />
          </v-avatar>
        </v-btn>
      </template>
       <v-alert 
                          dense
                          outlined
                          type="error"
                          v-if="error"
                        >
                          {{msg_error}} <strong>!</strong> </v-alert>

      <v-list>
        <v-list-item v-for="(item, i) in userprofile" :key="i" @click="href">
          <v-list-item-title>{{ item.title }} </v-list-item-title>
        </v-list-item>
      </v-list>
    </v-menu>
    <!---User -->
  </v-app-bar>
</template>


<script>
// Utilities
import { mapState, mapMutations } from "vuex";
import axios from 'axios'

export default {
  name: "Header",

  components: {},

  props: {
    value: {
      type: Boolean,
      default: false,
    },
  },
  data: () => ({
    showLogo: true,
    showSearch: false,

    tokensito:localStorage.token,
    error : false,
    msg_error : "",
    errores : [],
  
    userprofile: [
      { title: "Mis clientes2" },
      { title: "Mis habilitaciones" },
      { title: "Inbox" },
      { title: "Configuración de usuario" },
      { title: "Cerrar sesión" },
    ],
    href() {
      //return
       this.$router.push('/');
    },
  }),

  computed: {
    ...mapState(["Sidebar_drawer"]),
  },

  methods: {

    logout(){
   
    this.errores = [];
      let json = {
        "Authorization": "Token "+this.tokensito,

      };
      axios.post('http://64.225.59.243:8006/api/logout/', json)
      .then(data =>{
        if(data.data.detail != null){
        console.log(localStorage.token);
        this.error = true;
          this.msg_error= "No se pudo cerrar sesión";       

        }else{
          console.log(localStorage.token);
          localStorage.token = "";
          this.$router.push('/');
        
        }        

      })
      .catch(err => {
        console.log(err);
          this.$router.push('/');

      })
    
    },    

    ...mapMutations({
      setSidebarDrawer: "SET_SIDEBAR_DRAWER",
    }),
    showhideLogo: function() {
      this.showLogo = !this.showLogo;
    },
    
  },
};
</script>

<style lang="scss">
.hidelogo {
  display: none;
}
.searchinput {
  position: absolute;
  width: 100%;
  margin: 0;
  left: 0;
  z-index: 10;
  padding: 0 15px;
}
.descpart {
  max-width: 220px;
}
</style>